/*MT*
    
    MediaTomb - http://www.mediatomb.org/
    
    extractor_handler.h - this file is part of MediaTomb.
    
    Copyright (C) 2005 Gena Batyan <bgeradz@mediatomb.org>,
                       Sergey 'Jin' Bostandzhyan <jin@mediatomb.org>
    
    Copyright (C) 2006-2007 Gena Batyan <bgeradz@mediatomb.org>,
                            Sergey 'Jin' Bostandzhyan <jin@mediatomb.org>,
                            Leonhard Wimmer <leo@mediatomb.org>
    
    MediaTomb is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License version 2
    as published by the Free Software Foundation.
    
    MediaTomb is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    version 2 along with MediaTomb; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
    
    $Id: extractor_handler.h 971 2007-01-11 19:24:21Z lww $
*/

/// \file extractor_handler.h
/// \brief Definition of the ExtractorHandler class - getting metadata via 
/// libextractor.

#ifndef __METADATA_EXTRACTOR_H__
#define __METADATA_EXTRACTOR_H__

#include "metadata_handler.h"

/// \brief This class is responsible for reading metadata tags via the 
/// extractor library.
class ExtractorHandler : public MetadataHandler
{
public:
    ExtractorHandler();
    virtual void fillMetadata(zmm::Ref<CdsItem> item);
    virtual zmm::Ref<IOHandler> serveContent(zmm::Ref<CdsItem> item, int resNum, off_t *data_size);
};

#endif // __METADATA_EXTRACTOR_H__


